=== modified file 'drizzled/item/subselect.cc'
--- drizzled/item/subselect.cc	2011-06-21 15:50:47 +0000
+++ drizzled/item/subselect.cc	2011-06-21 15:57:11 +0000
@@ -2162,9 +2162,7 @@
       session->lex().current_select= save_select;
       return(join->error ? join->error : 1);
     }
-    if (save_join_if_explain())
-     return(1);
-
+    save_join_if_explain();
     if (item->engine_changed)
     {
       return(1);
@@ -2244,8 +2242,7 @@
   return(0);
 }
 
-bool 
-subselect_single_select_engine::save_join_if_explain()
+void subselect_single_select_engine::save_join_if_explain()
 {
   /*
     Save this JOIN to join->tmp_join since the original layout will be
@@ -2277,7 +2274,6 @@
     select_lex->master_unit()->uncacheable.set(UNCACHEABLE_EXPLAIN);
     join->init_save_join_tab();
   }
-  return false; // return void
 }
 
 
@@ -3175,8 +3171,7 @@
     if ((res= materialize_join->optimize()))
       goto err;
 
-    if (materialize_engine->save_join_if_explain())
-      goto err;
+    materialize_engine->save_join_if_explain();
 
     materialize_join->exec();
     if ((res= test(materialize_join->error || session->is_fatal_error)))

=== modified file 'drizzled/item/subselect.h'
--- drizzled/item/subselect.h	2011-06-21 12:02:57 +0000
+++ drizzled/item/subselect.h	2011-06-21 15:57:11 +0000
@@ -490,7 +490,7 @@
   bool is_executed() const { return executed; }
   bool no_rows();
   virtual enum_engine_type engine_type() { return SINGLE_SELECT_ENGINE; }
-  bool save_join_if_explain();
+  void save_join_if_explain();
 
   friend class subselect_hash_sj_engine;
   friend class Item_in_subselect;

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2011-04-16 13:00:30 +0000
+++ drizzled/sql_lex.h	2011-06-21 15:57:11 +0000
@@ -589,7 +589,7 @@
                                List<Index_hint> *hints= 0,
                                LEX_STRING *option= 0);
   TableList* get_table_list();
-  bool init_nested_join(Session *session);
+  void init_nested_join(Session&);
   TableList *end_nested_join(Session *session);
   TableList *nest_last_join(Session *session);
   void add_joined_table(TableList *table);

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2011-06-21 15:43:17 +0000
+++ drizzled/sql_parse.cc	2011-06-21 15:57:11 +0000
@@ -1072,9 +1072,9 @@
     1   otherwise
 */
 
-bool Select_Lex::init_nested_join(Session *session)
+void Select_Lex::init_nested_join(Session& session)
 {
-  TableList* ptr= (TableList*) session->mem.calloc(ALIGN_SIZE(sizeof(TableList)) + sizeof(NestedJoin));
+  TableList* ptr= (TableList*) session.mem.calloc(ALIGN_SIZE(sizeof(TableList)) + sizeof(NestedJoin));
   ptr->setNestedJoin(((NestedJoin*) ((unsigned char*) ptr + ALIGN_SIZE(sizeof(TableList)))));
   NestedJoin* nested_join= ptr->getNestedJoin();
   join_list->push_front(ptr);
@@ -1084,7 +1084,6 @@
   embedding= ptr;
   join_list= &nested_join->join_list;
   join_list->clear();
-  return false; // return void
 }
 
 

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2011-06-21 13:53:12 +0000
+++ drizzled/sql_yacc.yy	2011-06-21 15:57:11 +0000
@@ -1148,7 +1148,7 @@
 row_format_or_text:
           row_format
           {
-            $$.str= YYSession->mem.strmake_root($1.str, $1.length);
+            $$.str= YYSession->mem.strmake($1.str, $1.length);
             $$.length= $1.length;
           }
         ;
@@ -3569,8 +3569,7 @@
                 sel->master_unit()->global_parameters=
                    sel->master_unit()->fake_select_lex;
             }
-            if ($2->init_nested_join(Lex.session))
-              DRIZZLE_YYABORT;
+            $2->init_nested_join(*Lex.session);
             $$= 0;
             /* incomplete derived tables return NULL, we must be
                nested in select_derived rule to be here. */
@@ -3691,8 +3690,7 @@
 select_derived:
           get_select_lex
           {
-            if ($1->init_nested_join(Lex.session))
-              DRIZZLE_YYABORT;
+            $1->init_nested_join(*Lex.session);
           }
           derived_table_list
           {
@@ -5201,7 +5199,7 @@
           IDENT_sys    { $$=$1; }
         | keyword
           {
-            $$.str= YYSession->mem.strmake_root($1.str, $1.length);
+            $$.str= YYSession->mem.strmake($1.str, $1.length);
             $$.length= $1.length;
           }
         ;
@@ -5483,7 +5481,7 @@
 internal_variable_ident:
           keyword_exception_for_variable
           {
-            $$.str= YYSession->mem.strmake_root($1.str, $1.length);
+            $$.str= YYSession->mem.strmake($1.str, $1.length);
             $$.length= $1.length;
           }
         | IDENT_sys    { $$=$1; }

